org.keycloak.dom.saml.v2.metadata

## Class EntityDescriptorType.EDTDescriptorChoiceType

- java.lang.Object
- - org.keycloak.dom.saml.v2.metadata.EntityDescriptorType.EDTDescriptorChoiceType

- Enclosing class:
    EntityDescriptorType

      public static class EntityDescriptorType.EDTDescriptorChoiceType
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EDTDescriptorChoiceType(AttributeAuthorityDescriptorType attribDescriptor)`
    `EDTDescriptorChoiceType(AuthnAuthorityDescriptorType authnDescriptor)`
    `EDTDescriptorChoiceType(PDPDescriptorType pdpDescriptor)`
    `EDTDescriptorChoiceType(RoleDescriptorType roleDescriptor)`
    `EDTDescriptorChoiceType(SSODescriptorType sso)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttributeAuthorityDescriptorType` | `getAttribDescriptor()`
    `AuthnAuthorityDescriptorType` | `getAuthnDescriptor()`
    `IDPSSODescriptorType` | `getIdpDescriptor()`
    `PDPDescriptorType` | `getPdpDescriptor()`
    `RoleDescriptorType` | `getRoleDescriptor()`
    `SPSSODescriptorType` | `getSpDescriptor()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EDTDescriptorChoiceType

          public EDTDescriptorChoiceType(AuthnAuthorityDescriptorType authnDescriptor)

    - #### EDTDescriptorChoiceType

          public EDTDescriptorChoiceType(AttributeAuthorityDescriptorType attribDescriptor)

    - #### EDTDescriptorChoiceType

          public EDTDescriptorChoiceType(PDPDescriptorType pdpDescriptor)

    - #### EDTDescriptorChoiceType

          public EDTDescriptorChoiceType(SSODescriptorType sso)

    - #### EDTDescriptorChoiceType

          public EDTDescriptorChoiceType(RoleDescriptorType roleDescriptor)

  - ### Method Detail

    - #### getRoleDescriptor

          public RoleDescriptorType getRoleDescriptor()

    - #### getIdpDescriptor

          public IDPSSODescriptorType getIdpDescriptor()

    - #### getSpDescriptor

          public SPSSODescriptorType getSpDescriptor()

    - #### getAuthnDescriptor

          public AuthnAuthorityDescriptorType getAuthnDescriptor()

    - #### getAttribDescriptor

          public AttributeAuthorityDescriptorType getAttribDescriptor()

    - #### getPdpDescriptor

          public PDPDescriptorType getPdpDescriptor()

Copyright © 2020 JBoss by Red Hat. All rights reserved.